-- 'StanceS'(Stance Switch) v0.9 [11/11/2016]
 
require "GameLib"
local StanceS = {} 
 
function StanceS:new(o)
    o = o or {}
    setmetatable(o, self)
    self.__index = self 
    return o
end

function StanceS:Init()
    Apollo.RegisterAddon(self)
end

function StanceS:OnLoad()
    Apollo.RegisterSlashCommand("Stanceswitch", "OnStanceSwitch", self)
    Apollo.RegisterSlashCommand("stanceswitch", "OnStanceSwitch", self)
	Apollo.RegisterSlashCommand("ss", "OnStanceSwitch", self)
	Apollo.RegisterSlashCommand("Ss", "OnStanceSwitch", self)
end

function StanceS:OnStanceSwitch(strCommand, strIgnore)
	local nActualStance = GameLib.GetCurrentClassInnateAbilityIndex()
    local nStance = GameLib.GetNumClassInnateAbilitySpells()
 	local nInc = (nActualStance + 1)
    local nIgnore = tonumber(strIgnore)
    if nIgnore == nInc then nInc = nInc + 1 end
 	if (nInc > nStance) then 
			if nIgnore == 1 then nInc = 2 
			else nInc = 1 end 
    end
    GameLib.SetCurrentClassInnateAbilityIndex(nInc) 
 end

local StanceSInst = StanceS:new()
StanceSInst:Init()
